Birthday Reminder and Wishing

by
Odoo 1
v 11.0 Third Party 2

10.00 €

You bought this module and need support ? Click here !
Technical name gyb_birthday_reminder_wish
LicenseAGPL-3
Websitehttp://www.gybitsolutions.com
Read description for v 12.0 v 10.0 v 9.0 v 8.0
Required Apps Employee Directory (hr)
Technical name gyb_birthday_reminder_wish
LicenseAGPL-3
Websitehttp://www.gybitsolutions.com
Read description for v 12.0 v 10.0 v 9.0 v 8.0
Required Apps Employee Directory (hr)
Note: This module is successfully works in Community Editions only.


Birthday Reminder and Wishing


This module helps to send email for birthday wishing and admin get also reminder email.

Contacts Form


Add Birth date and Email in the contact form.

Contacts Filter & Group by(Month) - Tomorrow's birthday

User can do filter for tomorrow's birthday and also do group by all the records by birthday month.

Birthday Wishing Email


On the Birth date Email will send automatically to the Customer with this format.

Employee Form

Add date of birth and work email in the employee form.

Reminder Days Before


Admin needs to set number of days from 1 to 10. Before these days admin will get reminder Email.

Employee Filter & Group by(Month) - Tomorrow's birthday

User can do filter for tomorrow's birthday and also do group by all the records by birthday month.

Birthday Reminder Email


Admin will automatically get the Reminder Email with this format.

Employee Templates

Admin can change format of the email by these templates.

Contacts Templates

Admin can change format of the email by these templates.

Need help?

:: Contact for this module, maintenance, for any question, need support or request for the new features ::

Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author or have a question related to your purchase, please use the support page.
Odoo
Great Support
by on

The module had an error when I downloaded it first. I wrote an email to the developer but unfortunately it went to his spam, but then I was able to contact him via Odoo Support and the developer resolved the issue immediately. I even suggested an improvement in the module to add a filter to get records of birthday's for a certain date and the developer was kind enough to add this feature and will send me the update tomorrow. Thanks for support and highly recommended. NOTE: Please ignore my last review.


Odoo
Error Now Solved.
by on

Hi Asad, Now Error solved. Please re-download the directory. Regards, GYB TEAM.


Odoo
Reply for Module Gives Error.
by on

Hi Asad, Thanks for Purchasing this Module. We haven't receive your mail related Error. Please confirm our email Id is gybitsolutions@gmail.com . Query : In Which Odoo community version, you are facing this Error ? So we can quickly solve this error. We will sure solve this Error ASAP. We will back to you shortly. Regards, The GYB TEAM.


Odoo
Module Gives Error
by on

I dont have a habit of giving negative reviews, but this time I had to as I had contacted the Developer on the given email but until now no reply from him. I purchased this module and after installing I am getting an error when going into any settings. Following is the error: Odoo Server Error Traceback (most recent call last): File "/opt/odoo/odoo11/odoo/tools/cache.py", line 84, in lookup r = d[key] File "/opt/odoo/odoo11/odoo/tools/func.py", line 68, in wrapper return func(self, *args, **kwargs) File "/opt/odoo/odoo11/odoo/tools/lru.py", line 44, in __getitem__ a = self.d[obj].me KeyError: ('ir.model.data', , 'gyb_birthday_reminder_wish.no_of_days') During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/opt/odoo/odoo11/odoo/http.py", line 650, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "/opt/odoo/odoo11/odoo/http.py", line 310, in _handle_exception raise pycompat.reraise(type(exception), exception, sys.exc_info()[2]) File "/opt/odoo/odoo11/odoo/tools/pycompat.py", line 87, in reraise raise value File "/opt/odoo/odoo11/odoo/http.py", line 692, in dispatch result = self._call_function(**self.params) File "/opt/odoo/odoo11/odoo/http.py", line 342, in _call_function return checked_call(self.db, *args, **kwargs) File "/opt/odoo/odoo11/odoo/service/model.py", line 97, in wrapper return f(dbname, *args, **kwargs) File "/opt/odoo/odoo11/odoo/http.py", line 335, in checked_call result = self.endpoint(*a, **kw) File "/opt/odoo/odoo11/odoo/http.py", line 936, in __call__ return self.method(*args, **kw) File "/opt/odoo/odoo11/odoo/http.py", line 515, in response_wrap response = f(*args, **kw) File "/opt/odoo/odoo11/addons/web/controllers/main.py", line 931, in call_kw return self._call_kw(model, method, args, kwargs) File "/opt/odoo/odoo11/addons/web/controllers/main.py", line 923, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "/opt/odoo/odoo11/odoo/api.py", line 687, in call_kw return call_kw_model(method, model, args, kwargs) File "/opt/odoo/odoo11/odoo/api.py", line 672, in call_kw_model result = method(recs, *args, **kwargs) File "/opt/odoo/odoo11/odoo/addons/base/res/res_config.py", line 499, in default_get res.update(self.get_values()) File "/opt/odoo/odoo11/addons/gyb_birthday_reminder_wish/models/res_config_settings.py", line 17, in get_values no_of_days = self.env.ref("gyb_birthday_reminder_wish.no_of_days") File "/opt/odoo/odoo11/odoo/api.py", line 793, in ref return self['ir.model.data'].xmlid_to_object(xml_id, raise_if_not_found=raise_if_not_found) File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_model.py", line 1345, in xmlid_to_object t = self.xmlid_to_res_model_res_id(xmlid, raise_if_not_found) File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_model.py", line 1329, in xmlid_to_res_model_res_id return self.xmlid_lookup(xmlid)[1:3] File "", line 2, in xmlid_lookup File "/opt/odoo/odoo11/odoo/tools/cache.py", line 89, in lookup value = d[key] = self.method(*args, **kwargs) File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_model.py", line 1318, in xmlid_lookup raise ValueError('External ID not found in the system: %s' % xmlid) ValueError: External ID not found in the system: gyb_birthday_reminder_wish.no_of_days